<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
LongFindKeys Method (IEdmDictionary5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmDictionary5 Interface : LongFindKeys Method (IEdmDictionary5)

Visual Basic
C#
C++/CLI

lMinKey
  Minimum key

lMaxKey
  Maximum key

Starts an enumeration of all of the key-value pairs that have integer keys in the specified range.

# Syntax

Visual Basic |
--- | ---

    Function LongFindKeys( _
       ByVal lMinKey As System.Integer, _
       ByVal lMaxKey As System.Integer _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 LongFindKeys(
       System.int lMinKey,
       System.int lMaxKey
    )

C++/CLI |
--- | ---

    IEdmPos5^ LongFindKeys(
    &   System.int lMinKey,
    &   System.int lMaxKey
    )

#### Parameters

lMinKey
  Minimum key
lMaxKey
  Maximum key

#### Return Value

IEdmPos5; position of the first key in the search result

# Example

Get and Set Dictionary Key-Value Pairs (VB.NET)
Get and Set Dictionary Key-Value Pairs (C#)

# Remarks

After calling this method, call IEdmDictionary5::LongGetNextAssoc repeatedly to enumerate the rest of the key-value pairs in the search result.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmDictionary5 Interface
IEdmDictionary5 Members
IEdmDictionary5::StringFindKeys Method ()
IEdmDictionary5::StringFindValues Method ()
IEdmDictionary5::LongFindValues Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2